rpma_mr_get_ptr(3)

NAME
rpma_mr_get_ptr - get the pointer to the local memory region

SYNOPSIS
      #include <librpma.h>

      struct rpma_mr_local;
      int rpma_mr_get_ptr(const struct rpma_mr_local *mr, void **ptr);

DESCRIPTION
rpma_mr_get_ptr() gets a memory region pointer from the local memory registration object.

RETURN VALUE
The rpma_mr_get_ptr() function returns 0 on success or a negative error code on failure. rpma_mr_get_ptr() does not set *ptr value on failure.

ERRORS
rpma_mr_get_ptr() can fail with the following error:

•   RPMA_E_INVAL - mr or ptr is NULL

SEE ALSO
rpma_mr_reg(3), librpma(7) and https://pmem.io/rpma/